## haskell-mode 1.3-1

=== debian/changelog ===
haskell-mode (1.3-1) unstable; urgency=low

  * New upstream source.
  * runhugs and runhugs98 scripts are opened with haskell-mode
    automatically (Closes: #39902).

 -- Tommi Virtanen <tv@debian.org>  Tue,  6 Jul 1999 13:50:44 +0300

haskell-mode (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Wed, 30 Dec 1998 03:26:04 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:
