## haskell-mode 2.1

=== Makefile ===
--- 
+++ 
@@ -50,3 +50,5 @@
 	rm -rf $(PACKAGE)-$(VERSION)
 	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
 	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz
+
+# arch-tag: 1ab314c8-3821-44fb-b533-dd58f5d75ba4
