=== debian/changelog ===
haskell-mode (13.07-1) unstable; urgency=low

  * New upstream release (closes: #728957)
  * Expose development git repo (closes: #587903)
  * Try not to accidentally reject supported emacsen (closes: #667451)
  * dh9, stop using cdbs
  * bump policy
  * add current homepage
  * add self as uploader
  * update emacsen installation/startup
  * rm debian/debuild.opts (which supported building in a darcs repo)
  * generate/install info page.
  * update debian/copyright with current license and upstream repo
  * build dependency on emacs, needed to generate autoload file
  * preserve link to uncompiled autoloads file in emacsen flavour elc directory
  * point debian/watch at current upstream
  * add collab-maint packaging repo
  * substitute @VERSION@ and @GIT_VERSION@ in installed .el files
  * install upstream changelog, readme, examples
  * source format 3.0 (quilt)
  * install haskell logo, in debian-appropriate location
  * leave .el files linked into flavour dir to enable help, (closes: #679044)
  * installation no longer emits ELisp values (closes: #683629)
  * fill-paragraph breaks multi-line comments differently (closes: #575081)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Nov 2013 12:22:41 +0000

haskell-mode (2.8.0-2) unstable; urgency=low

  * Bug fix: "byte compiled .elc files not used", thanks to Kevin Ryde
    (Closes: #670357).
  * Bug fix: "interpreter-mode-alist entries", thanks to Kevin Ryde
    (Closes: #670356).
  * Update Standards-Version to 3.9.3 (no changes).

 -- David Bremner <bremner@debian.org>  Sun, 24 Jun 2012 19:31:19 -0300

haskell-mode (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2 (no changes).
  * Bug fix: "haskell-mode should recommend ghc, not ghc6", thanks to
    Anders Kaseorg (Closes: #626872).

 -- David Bremner <bremner@debian.org>  Wed, 31 Aug 2011 23:05:22 -0300

haskell-mode (2.7.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ignore xemacs in emacsen-install (Closes: #568579)

 -- David Bremner <bremner@debian.org>  Sat, 26 Mar 2011 13:03:15 -0300

haskell-mode (2.7.0-2) unstable; urgency=low

  * Remove a blunder in debian/watch.
  * Change section to "haskell", in agreement with override.
  * Extract copyright notices into debian/copyright.
  * Update policy version to 3.8.3.

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:59:43 +0100

haskell-mode (2.7.0-1) unstable; urgency=low

  * New upstream release (closes: #561830).
  * Recognize runghc/runhaskell scripts (closes: #427766).
  * Update debian/watch (closes: #450321).
  * Use the upstream autoload script (closes: #492517).
  * The problematic haskell-ghci-mode-map has been obliterated by
    upstream (closes: #369910).

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:32:03 +0100

haskell-mode (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Petr Rockai <mornfall@debian.org>  Fri, 15 Feb 2008 13:09:49 +0100

haskell-mode (2.3-1) unstable; urgency=low

  * New upstream release (closes: #443400, #448658, #411955),
  * re-debianized, using cdbs and debhelper,
  * enabling the byte-compile of emacs-lisp sources (closes:  #408260),
  * new maintainer, keeping Isaac as co-maintainer.

 -- Petr Rockai <mornfall@debian.org>  Thu, 06 Dec 2007 01:02:06 +0100

haskell-mode (2.1-1) unstable; urgency=low

  * New upstream release
  * Removed old debconf stuff (Closes: 331845, Closes: 237437)
  * removed hook for turn-on-haskell-font-lock (Closes: 306548)
  * fixed type for map (Closes: 316992)

 -- Isaac Jones <ijones@debian.org>  Wed, 16 Nov 2005 22:28:12 -0800

haskell-mode (2.0-1) unstable; urgency=low

  * New upstream release. closes: 281998.

  * Updated copyright file to show new Debian and upstream maintainers.
    closes: 286769

  * keybindings C-c <char> have been replaced by C-c C-<char> so as not to
    collide with minor modes.
  
  * The following modules are now automatically activated without having
    to add anything to haskell-mode-hook: haskell-font-lock (just turn on
    global-font-lock-mode).  haskell-decl-scan (just bind `imenu' to some
    key).
  
  * In recent Emacsen, haskell-doc hooks into eldoc-mode.
  
  * haskell-hugs and haskell-ghci are superceded by inf-haskell.
  
  * Indentation rules have been improved when using layout inside parens/braces.
  
  * Symbols like -> and \ can be displayed as actual arrows and lambdas.
    See haskell-font-lock-symbols.
  
  * Tweaks to the font-lock settings.  Among other things paren-matching
    with things like \(x,y) should work correctly now.
  
  * New upstream maintainer <monnier@gnu.org>.

 -- Isaac Jones <ijones@debian.org>  Wed, 22 Dec 2004 02:14:02 -0500

haskell-mode (1.45-2) unstable; urgency=low

  * Added watchfile.

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 14:13:25 -0800

haskell-mode (1.45-1) unstable; urgency=low

  * New upstream release
  * Bugs relating to indentation and comments seem to be fixed.
    closes: #46115, closes: #51821
  * Not much information from upstream about changes.  I'm not sure if
    this is exaustive:
    "Support for proper behaviour (including with Unicode identifiers)
    in Emacs 21 only hacked in messily to avoid disturbing the old
    stuff.  Needs integrating more cleanly.  Allow literate comment
    face to be customized.  Some support for fontifying definitions."

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 13:09:01 -0800

haskell-mode (1.44-4) unstable; urgency=low

  * Changed the type of getLine from IO Char to IO String, closes: 282000

 -- Isaac Jones <ijones@debian.org>  Thu, 18 Nov 2004 17:40:15 -0800

haskell-mode (1.44-3) unstable; urgency=low

  * Added a load-path line to 50haskell-mode.el, closes: #229976
  * Removed empty "haskell-mode" directory in $(emacs_d_dir)

 -- Isaac Jones <ijones@debian.org>  Wed, 29 Jan 2004 00:15:25 -0500

haskell-mode (1.44-2) unstable; urgency=low


