=== debian/control ===
Source: haskell-mode
Section: haskell
Priority: optional
Maintainer: Petr Rockai <mornfall@debian.org>
Uploaders: Isaac Jones <ijones@debian.org>,
	   David Bremner <bremner@debian.org>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), emacs24 | emacs23 | emacs-snapshot
Standards-Version: 3.9.5
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git

Package: haskell-mode
Architecture: all
Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
Recommends: ghc | hugs
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.
