=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

version=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.-]+)$$/\1/p')
git_version=00000000

override_dh_auto_build:
	dh_auto_build -- VERSION=$(version) GIT_VERSION=$(git_version) haskell-mode-autoloads.el haskell-mode.info

override_dh_auto_install:

dest_dir=debian/haskell-mode
icon_dir=usr/share/icons/locolor/scalable

override_dh_install:
	dh_install
	sed --in-place \
	 -e 's/@VERSION@/$(version)/g' \
	 -e 's/@GIT_VERSION@/$(git_version)/g' \
	 debian/haskell-mode/usr/share/emacs/site-lisp/haskell-mode/*.el
	mkdir --parent $(dest_dir)/$(icon_dir)
	install --mode=a+r,u+w logo.svg $(dest_dir)/$(icon_dir)/haskell.svg

override_dh_installchangelogs:
	dh_installchangelogs NEWS
