=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Isaac Jones <ijones@debian.org>,
 	   David Bremner <bremner@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), emacs24 | emacs23 | emacs-snapshot
+Build-Depends: debhelper (>= 9),
+	emacs24 | emacs23 | emacs-snapshot,
+	texinfo
 Standards-Version: 3.9.5
 Homepage: https://github.com/haskell/haskell-mode
 Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
@@ -14,6 +16,7 @@
 Package: haskell-mode
 Architecture: all
 Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
+Breaks: agda-mode (<< 2.3.2)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional
