=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
 http://githubredir.debian.net/github/haskell/haskell-mode/[a-z]*([\d\._]+)\.tar\.gz
