## haskell-mode 13.12

=== Makefile ===
--- 
+++ 
@@ -3,40 +3,57 @@
 
 INSTALL_INFO = install-info
 EMACS = emacs
-EFLAGS =
+EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
+         --eval "(when (< emacs-major-version 24) \
+                    (setq byte-compile-warnings '(not cl-functions)))" \
+         --eval '(setq byte-compile-error-on-warn t)'
+
 BATCH = $(EMACS) $(EFLAGS) --batch -Q -L .
 SUBST_ATAT = sed -e 's/@@GIT_VERSION@@/$(GIT_VERSION)/g;s/@GIT_VERSION@/$(GIT_VERSION)/g;s/@@VERSION@@/$(VERSION)/g;s/@VERSION@/$(VERSION)/g'
 
 ELFILES = \
 	ghc-core.el \
+	ghci-script-mode.el \
+	highlight-uses-mode.el \
 	haskell-align-imports.el \
+	haskell-bot.el \
+	haskell-cabal.el \
 	haskell-c.el \
-	haskell-cabal.el \
 	haskell-checkers.el \
+	haskell-collapse.el \
+	haskell-modules.el \
+	haskell-sandbox.el \
+	haskell-commands.el \
 	haskell-compat.el \
 	haskell-compile.el \
+	haskell-complete-module.el \
+	haskell-customize.el \
+	haskell-debug.el \
 	haskell-decl-scan.el \
 	haskell-doc.el \
+	haskell.el \
 	haskell-font-lock.el \
+	haskell-indentation.el \
 	haskell-indent.el \
-	haskell-indentation.el \
 	haskell-interactive-mode.el \
+	haskell-load.el \
 	haskell-menu.el \
 	haskell-mode.el \
 	haskell-move-nested.el \
 	haskell-navigate-imports.el \
 	haskell-package.el \
+	haskell-presentation-mode.el \
 	haskell-process.el \
+	haskell-repl.el \
 	haskell-session.el \
 	haskell-show.el \
 	haskell-simple-indent.el \
 	haskell-sort-imports.el \
+	haskell-str.el \
 	haskell-string.el \
-	haskell-str.el \
 	haskell-unicode-input-method.el \
 	haskell-utils.el \
 	haskell-yas.el \
-	haskell-presentation-mode.el \
 	inf-haskell.el
 
 ELCFILES = $(ELFILES:.el=.elc)
@@ -48,8 +65,7 @@
 
 %.elc: %.el
 	@$(BATCH) \
-	   --eval "(byte-compile-disable-warning 'cl-functions)" \
-       -f batch-byte-compile $<
+		 -f batch-byte-compile $*.el
 
 .PHONY: all compile info clean check $(ELCHECKS) elpa package
 
@@ -57,24 +73,14 @@
 
 compile: $(ELCFILES)
 
-$(ELCHECKS): check-%: %.el
+$(ELCHECKS): check-%: %.el %.elc
 	@$(BATCH) --eval '(when (check-declare-file "$*.el") (error "check-declare failed"))'
-	@$(BATCH) \
-	     --eval "(setq byte-compile-error-on-warn t)" \
-	 	 --eval "(byte-compile-disable-warning 'cl-functions)" \
-		 -f batch-byte-compile $*.el
-	@$(RM) $*.elc
 	@if [ -f "$(<:%.el=tests/%-tests.el)" ]; then \
-	if $(BATCH) --eval "(require 'ert)" 2> /dev/null; then \
-		echo; \
 		$(BATCH) -l "$(<:%.el=tests/%-tests.el)" -f ert-run-tests-batch-and-exit; \
-	else \
-		echo "ERT not available, skipping unit tests"; \
-	fi; \
 	fi
 	@echo "--"
 
-check: clean $(ELCHECKS)
+check: $(ELCHECKS)
 	@echo "checks passed!"
 
 clean:
@@ -86,6 +92,16 @@
 	$(INSTALL_INFO) --dir=$@ $<
 
 haskell-mode.tmp.texi: haskell-mode.texi
+	@sed -n -e '/@chapter/ s/@code{\(.*\)}/\1/' \
+                -e 's/@chapter \(.*\)$$/* \1::/p' \
+                -e 's/@unnumbered \(.*\)$$/* \1::/p' \
+               haskell-mode.texi > haskell-mode-menu-order.txt
+	@sed -e '1,/@menu/ d' \
+            -e '/end menu/,$$ d' \
+            haskell-mode.texi > haskell-mode-content-order.txt
+	diff -C 1 haskell-mode-menu-order.txt haskell-mode-content-order.txt
+	@rm haskell-mode-menu-order.txt haskell-mode-content-order.txt
+
 	$(SUBST_ATAT) < haskell-mode.texi > haskell-mode.tmp.texi
 
 haskell-mode.info: haskell-mode.tmp.texi
@@ -119,6 +135,6 @@
 # HACK: embed version number into .elc file
 haskell-mode.elc: haskell-mode.el
 	$(SUBST_ATAT) < haskell-mode.el > haskell-mode.tmp.el
-	@$(BATCH) --eval "(byte-compile-disable-warning 'cl-functions)" -f batch-byte-compile haskell-mode.tmp.el
+	@$(BATCH) -f batch-byte-compile haskell-mode.tmp.el
 	mv haskell-mode.tmp.elc haskell-mode.elc
 	$(RM) haskell-mode.tmp.el
