=== debian/changelog ===
haskell-mode (13.12-3) unstable; urgency=medium

  * yasnippet integration, should work with newer yasnippet package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 May 2015 20:33:04 +0100

haskell-mode (13.12-2) unstable; urgency=medium

  * ack NMU
  * accept NMU mod
  * bump policy twice in parallel
  * broken by yasnippet (<< 0.8); patch from Hilko Bengen (closes: #782729)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 12:27:37 +0100

haskell-mode (13.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * emacs23 is no longer supported because of missing cl-lib (Closes:
    #782637)

 -- Hilko Bengen <bengen@debian.org>  Thu, 16 Apr 2015 17:04:25 +0200

haskell-mode (13.12-1) unstable; urgency=medium

  * Update debian/watch file
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Apr 2015 11:36:45 +0100
