=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 	   David Bremner <bremner@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
-	emacs24 | emacs23 | emacs-snapshot,
+	emacs24 | emacs-snapshot,
 	texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/haskell/haskell-mode
 Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git
 
 Package: haskell-mode
 Architecture: all
-Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
-Breaks: agda-mode (<< 2.3.2)
+Depends: emacs24 | emacs-snapshot | emacs, ${misc:Depends}
+Breaks: agda-mode (<< 2.3.2), yasnippet (<< 0.8)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional
