=== debian/changelog ===
haskell-mode (13.14.2-1) unstable; urgency=medium

  * New upstream release
  * Remove yasnippet integration, broken out upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2015 23:46:20 +0100
