=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: haskell-mode
 Architecture: all
 Depends: emacs24 | emacs-snapshot | emacs, ${misc:Depends}
-Breaks: agda-mode (<< 2.3.2), yasnippet (<< 0.8)
+Breaks: agda-mode (<< 2.3.2)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional
