=== debian/changelog ===
haskell-mode (16.1-3) unstable; urgency=medium

  * Remove myself from uploaders
  * Assert compliance with policy 4.0.0

 -- David Bremner <bremner@debian.org>  Sun, 02 Jul 2017 12:13:16 -0300

haskell-mode (16.1-2) unstable; urgency=medium

  * Remove old uploaders, add pkg-emacen team (closes: #838127, #849063)
  * Suggest stylish-haskell (closes: #825485)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2016 11:04:07 +0000

haskell-mode (16.1-1) unstable; urgency=medium

  * New upstream release
  * dh10 is --parallel by default
  * Simplify build scripts for simpler (more rational) upstream build process

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Dec 2016 14:57:00 +0100
