=== debian/control ===
Source: haskell-mode
Section: haskell
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10),
	install-info,
	emacs | emacs25 | emacs24 | emacs-snapshot,
	texinfo
Standards-Version: 4.0.0
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git

Package: haskell-mode
Architecture: all
Depends: emacs25 | emacs24 | emacs-snapshot | emacs, ${misc:Depends}
Suggests: stylish-haskell
Breaks: agda-mode (<< 2.3.2)
Recommends: ghc | hugs
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.
