## haskell-mode 17.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # We should have a script that changes it everywhere it is needed and
 # syncs it with current git tag.
 #
-VERSION = 16.1
+VERSION = 17.1
 
 INSTALL_INFO = install-info
 
@@ -23,13 +23,12 @@
 #
 # This is particularly useful when EMACS is set in ~/.bash_profile
 #
-EMACS := $(shell which "$${EMACS}" 2> /dev/null || which "emacs" 2> /dev/null)
+EMACS ?= emacs
 EMACS_VERSION := $(shell "$(EMACS)" -Q --batch --eval '(princ emacs-version)')
 
-EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
-	 --eval "(when (boundp 'load-prefer-newer) (setq load-prefer-newer t))"
+EFLAGS = --eval "(when (boundp 'load-prefer-newer) (setq load-prefer-newer t))"
 
-BATCH = @echo EMACS $@; $(EMACS) $(EFLAGS) --batch -Q -L .
+BATCH = @echo EMACS $@; "$(EMACS)" $(EFLAGS) --batch -Q -L .
 
 ELFILES := $(filter-out haskell-mode-autoloads.el haskell-mode-pkg.el,$(wildcard *.el))
 
@@ -44,8 +43,8 @@
 all: check-emacs-version compile $(AUTOLOADS) info
 
 check-emacs-version :
-	$(BATCH) --eval "(when (version< emacs-version \"24.3\")				\
-                            (message \"Error: haskell-mode requires Emacs 24.3 or later\")	\
+	$(BATCH) --eval "(when (version< emacs-version \"25.1\")				\
+                            (message \"Error: haskell-mode requires Emacs 25.1 or later\")	\
                             (message \"Your version of Emacs is %s\" emacs-version)		\
                             (message \"Found as '$(EMACS)'\")					\
                             (message \"Use one of:\")						\
@@ -67,9 +66,9 @@
 # proper dependency tracking (yet).
 build-$(EMACS_VERSION)/%.elc : %.el $(ELFILES)
 	$(BATCH) --eval '(setq byte-compile-error-on-warn t)'						\
-	         --eval "(defun byte-compile-dest-file (filename)					\
+	         --eval "(setq byte-compile-dest-file-function (lambda (filename)					\
 	               	       (concat (file-name-directory filename) \"build-\" emacs-version \"/\"	\
-	                      	    (file-name-nondirectory filename) \"c\"))"				\
+	                      	    (file-name-nondirectory filename) \"c\")))"				\
 	         --eval "(when (check-declare-file \"$<\") (kill-emacs 2))" \
 	         -f batch-byte-compile $<								\
 
@@ -79,19 +78,10 @@
 check-%: tests/%-tests.el
 	$(BATCH) -l "$<" -f ert-run-tests-batch-and-exit;
 
-check: compile $(AUTOLOADS) check-ert check-conventions
-
-check-conventions :
-	$(BATCH) -l tests/haskell-code-conventions.el                                           \
-                 -f haskell-check-conventions-batch-and-exit
-	@echo "conventions are okay"
+check: compile $(AUTOLOADS) check-ert
 
 check-ert: $(ELCHECKS)
-	$(BATCH) --eval "(when (= emacs-major-version 24)					\
-                           (require 'undercover)						\
-                           (undercover \"*.el\"							\
-                              (:exclude \"haskell-mode-pkg.el\" \"haskell-compat.el\")))"	\
-                 -L tests									\
+	$(BATCH) -L tests									\
                  $(patsubst %,-l %,$(ELCHECKS))							\
                  -f ert-run-tests-batch-and-exit
 	@echo "checks passed!"
@@ -145,7 +135,7 @@
 		--eval '(setq make-backup-files nil)' \
 		--eval "(setq generated-autoload-file (concat command-line-default-directory \"/\" \"$@\"))" \
 		-f batch-update-autoloads "."
-	# check if autoloads will really load
+# check if autoloads will really load
 	$(BATCH) -l "$@"
 
 check-external : check-emacs-version $(AUTOLOADS)
