=== debian/changelog ===
haskell-mode (17.1-2) unstable; urgency=medium

  * Source only upload as I should have done before.

 -- Thomas Koch <thomas@koch.ro>  Sun, 19 Jan 2020 15:11:00 +0000

haskell-mode (17.1-1) unstable; urgency=medium

  * new upstream version

 -- Thomas Koch <thomas@koch.ro>  Mon, 30 Dec 2019 18:53:21 +0000

haskell-mode (16.1-9) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address to debian-emacsen@lists.debian.org

  [ Thomas Koch ]
  * update Standards-Version 4.2.1->4.4.1, no changes
  * update debhelper 11->12, use debhelper-compat
  * add Rules-Requires-Root: no to d/control
  * Do not recommend ancient Hugs anymore

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Dec 2019 15:52:03 +0000

haskell-mode (16.1-8) unstable; urgency=medium

  * Team upload
  * Try without single-debian-patch in debian/source/options (Closes:
    #935717).
  * don't use dgit --quilt=auto

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 12:33:08 -0300

haskell-mode (16.1-7) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:15:13 -0300

haskell-mode (16.1-6) unstable; urgency=medium

  * revert errounous change of upstream files in packaging branch
  * fix failing tests for emacs 26.1 (Closes: 916807)

 -- Thomas Koch <thomas@koch.ro>  Wed, 16 Jan 2019 19:39:52 +0000

haskell-mode (16.1-5) unstable; urgency=medium

  * correct versions for breaks/replaces in d/control (closes: 915577)

 -- Thomas Koch <thomas@koch.ro>  Sun, 09 Dec 2018 13:07:09 +0000

haskell-mode (16.1-4) unstable; urgency=medium

  * use dh-elpa
  * rename package to elpa-haskell-mode
  * update Standards-Version -> 4.2.1
  * lintian: remove trailing whitespace in d/changelog
  * update debhelper compat level -> 11
  * add thomas@koch.ro to uploaders
  * make d/copyright machine readable
  * remove PACKAGE.examples as there are none
  * move packaging repo to emacsen-team

 -- Thomas Koch <thomas@koch.ro>  Sat, 03 Nov 2018 20:20:48 +0000
